# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

<!-- insertion marker -->
## Unreleased

<small>[Compare with latest](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.22...HEAD)</small>

### Build

- bump the prod group with 25 updates (#130) ([872be57](https://github.com/huxuan/serious-scaffold-python/commit/872be57154d698813bb3b792b121a2ba414e68ab) by dependabot[bot]).
- bump actions/checkout from 3 to 4 (#117) ([061e881](https://github.com/huxuan/serious-scaffold-python/commit/061e881d47dc320fcd999ca1a664d5c362fc01e6) by dependabot[bot]).

### Chore

- Align coverage badge colors with GitLab. (#114) ([88eed85](https://github.com/huxuan/serious-scaffold-python/commit/88eed85ad7d91be1be406ad904289140b05550c3) by Xuan (Sean) Hu).

### Continuous Integration

- Add groups for pip dependabot updates. (#129) ([cc5ae9b](https://github.com/huxuan/serious-scaffold-python/commit/cc5ae9b2e8487e40bae47e05a7621f26fe54a345) by Xuan (Sean) Hu).
- Fix prefix for Dependabot. (#123) ([9c5f09a](https://github.com/huxuan/serious-scaffold-python/commit/9c5f09abf8b78caa566d0ca77b320d8fbd8f8daa) by Xuan (Sean) Hu).
- Integrate with Dependabot version updates. (#116) ([bb69a0f](https://github.com/huxuan/serious-scaffold-python/commit/bb69a0f3dabc68d23d633b378563e529801d61dd) by Xuan (Sean) Hu).

<!-- insertion marker -->
## [v0.0.22](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.22) - 2023-09-05

<small>[Compare with v0.0.21](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.21...v0.0.22)</small>

### Chore

- Fix package ci with shorter badge names. (#112) ([e2158e6](https://github.com/huxuan/serious-scaffold-python/commit/e2158e6aff65b85b72ec3f9c0551911a477c1339) by Xuan (Sean) Hu).

## [v0.0.21](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.21) - 2023-09-05

<small>[Compare with v0.0.20](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.20...v0.0.21)</small>

### Chore

- More generic release process with badges. (#110) ([0ae6f9a](https://github.com/huxuan/serious-scaffold-python/commit/0ae6f9a21890400ced24c154a93f8387ef50b1ac) by Xuan (Sean) Hu).

## [v0.0.20](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.20) - 2023-09-04

<small>[Compare with v0.0.19](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.19...v0.0.20)</small>

### Chore

- Generate coverage badge alongside reports. (#108) ([59cae68](https://github.com/huxuan/serious-scaffold-python/commit/59cae6808c0bb4d3b92e2199d09e0985c120ffea) by Xuan (Sean) Hu).

### Continuous Integration

- Lint pull request title. (#106) ([155fbec](https://github.com/huxuan/serious-scaffold-python/commit/155fbec36f00fe5a9b3959fa701c63bcb686e68c) by Xuan (Sean) Hu).

### Docs

- Add pre-commit badge. (#104) ([052629f](https://github.com/huxuan/serious-scaffold-python/commit/052629f758ef4662052a604fcace5cff492974f4) by Xuan (Sean) Hu).

## [v0.0.19](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.19) - 2023-08-14

<small>[Compare with v0.0.18](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.18...v0.0.19)</small>

## [v0.0.18](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.18) - 2023-08-14

<small>[Compare with v0.0.17](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.17...v0.0.18)</small>

## [v0.0.17](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.17) - 2023-08-10

<small>[Compare with v0.0.16](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.16...v0.0.17)</small>

### Fixed

- Fix coverage report path for readthedocs. (#75) ([ad4d784](https://github.com/huxuan/serious-scaffold-python/commit/ad4d78453ac3f1f090d81af32568338361dd3d26) by Xuan (Sean) Hu).

## [v0.0.16](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.16) - 2023-08-08

<small>[Compare with v0.0.15](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.15...v0.0.16)</small>

### Added

- Add mypy and test coverage reports for docs. (#72) ([4494f8a](https://github.com/huxuan/serious-scaffold-python/commit/4494f8a6b89b84fea9031a693cdcbe1131db63d1) by Xuan (Sean) Hu).
- Add badge for ruff. (#62) ([c659572](https://github.com/huxuan/serious-scaffold-python/commit/c659572ca55ad46c03885600151005d411065450) by Xuan (Sean) Hu).

## [v0.0.15](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.15) - 2023-07-26

<small>[Compare with v0.0.14](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.14...v0.0.15)</small>

## [v0.0.14](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.14) - 2023-07-25

<small>[Compare with v0.0.13](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.13...v0.0.14)</small>

## [v0.0.13](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.13) - 2023-06-13

<small>[Compare with v0.0.12](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.12...v0.0.13)</small>

### Added

- Add gitlab ci with template. (#39) ([b12b8b0](https://github.com/huxuan/serious-scaffold-python/commit/b12b8b012a7e0971963a8b64cf7660607604ae22) by Xuan (Sean) Hu).
- Add `test_coverage_threshold` as template configuration. (#36) ([331365c](https://github.com/huxuan/serious-scaffold-python/commit/331365c987b2594b82290c452a4746cf0edb0551) by Xuan (Sean) Hu).

### Fixed

- Fix compatibility with copier v8.0.0. (#40) ([734894e](https://github.com/huxuan/serious-scaffold-python/commit/734894e27e5e7f79b42c1178b336c801c297a132) by Xuan (Sean) Hu).

### Changed

- Change repo namespace accordingly in various places. (#46) ([18cd525](https://github.com/huxuan/serious-scaffold-python/commit/18cd52546841338e425057a542c2f916675fdd8f) by Xuan (Sean) Hu).

## [v0.0.12](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.12) - 2023-05-24

<small>[Compare with v0.0.11](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.11...v0.0.12)</small>

### Added

- Add docs for necessary system-level dependencies for development (#33). ([150c196](https://github.com/huxuan/serious-scaffold-python/commit/150c196ed53ad2341c4ca4a6283697b20b7e3a86) by you-n-g).

## [v0.0.11](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.11) - 2023-04-27

<small>[Compare with v0.0.10](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.10...v0.0.11)</small>

## [v0.0.10](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.10) - 2023-04-27

<small>[Compare with v0.0.9](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.9...v0.0.10)</small>

## [v0.0.9](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.9) - 2023-04-11

<small>[Compare with v0.0.8](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.8...v0.0.9)</small>

### Fixed

- Fix typo for make clean in Makefile. (#23) ([5159a1a](https://github.com/huxuan/serious-scaffold-python/commit/5159a1ab79d6aff5344f016507107ac8d9ef811b) by Xuan (Sean) Hu).

## [v0.0.8](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.8) - 2023-01-05

<small>[Compare with v0.0.7](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.7...v0.0.8)</small>

## [v0.0.7](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.7) - 2023-01-04

<small>[Compare with v0.0.6](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.6...v0.0.7)</small>

## [v0.0.6](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.6) - 2023-01-04

<small>[Compare with v0.0.5](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.5...v0.0.6)</small>

## [v0.0.5](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.5) - 2022-12-16

<small>[Compare with v0.0.4](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.4...v0.0.5)</small>

## [v0.0.4](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.4) - 2022-12-13

<small>[Compare with v0.0.3](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.3...v0.0.4)</small>

### Added

- Add isort in pre-commit and CI (with Makefile). (#10) ([97bf32c](https://github.com/huxuan/serious-scaffold-python/commit/97bf32cefae5161584f13a8cb6c4f21d643bac09) by Xuan (Sean) Hu).
- Add hyperlinks for badges. (#6) ([de95238](https://github.com/huxuan/serious-scaffold-python/commit/de9523801e3da10484f2fe19c2b4d3ec2254dd72) by Xuan (Sean) Hu).

### Fixed

- Fix sponsors link. (#13) ([04a8254](https://github.com/huxuan/serious-scaffold-python/commit/04a82545826c1efbd89a084528703ad0fc5da8d9) by Xuan (Sean) Hu).

## [v0.0.3](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.3) - 2022-12-05

<small>[Compare with v0.0.2](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.2...v0.0.3)</small>

### Added

- Add sponsors badge. (#4) ([f94bf53](https://github.com/huxuan/serious-scaffold-python/commit/f94bf5335c4295fa69524e5f744c89d491826574) by Xuan (Sean) Hu). Signed-off-by: Xuan (Sean) Hu <i@huxuan.org>

## [v0.0.2](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.2) - 2022-12-02

<small>[Compare with v0.0.1](https://github.com/huxuan/serious-scaffold-python/compare/v0.0.1...v0.0.2)</small>

### Fixed

- Fix meta error for license. (#3) ([113b049](https://github.com/huxuan/serious-scaffold-python/commit/113b049ef0babe609fa7602cef25a53dc488eb05) by Xuan (Sean) Hu).

## [v0.0.1](https://github.com/huxuan/serious-scaffold-python/releases/tag/v0.0.1) - 2022-12-02

<small>[Compare with first commit](https://github.com/huxuan/serious-scaffold-python/compare/73cec1d414f80075b73d5155c89782cb0b76ce6e...v0.0.1)</small>

### Fixed

- Fix PyPI package upload. (#2) ([22c75f6](https://github.com/huxuan/serious-scaffold-python/commit/22c75f6ee8462f50fb586e51e0f7d989c7a5128c) by Xuan (Sean) Hu).
